def create_admin_controller(type, temp_path)
  # find the legal controller
  controller_path = "app/controllers/admin/legals_controller.rb"
  template_controller_path = "#{temp_path}/#{type}/admin_legals_controller.txt"

  new_controller_text = File.open(template_controller_path).read
  File.write(controller_path, new_controller_text)

  puts "++ Created -> #{controller_path}"
end

def create_controller(type, temp_path)
  # find the legal controller
  controller_path = "app/controllers/legals_controller.rb"
  template_controller_path = "#{temp_path}/#{type}/legals_controller.txt"

  new_controller_text = File.open(template_controller_path).read
  File.write(controller_path, new_controller_text)

  puts "++ Created -> #{controller_path}"
end
