def create_admin_views(type, temp_path)
  admin_view_dir_path = 'app/views/admin/legals/'

  # create directory for legal views in admin
  Dir.mkdir admin_view_dir_path

  # find all template views
  template_views_path = "#{temp_path}/#{type}/admin_views/"
  Dir.entries(template_views_path).each do |template|
    next if template == "." or template == ".."

    new_text = File.open("#{template_views_path}#{template}").read
    new_file_name = "#{admin_view_dir_path}#{template.split(".")[0]}.html.erb"
    File.write(new_file_name, new_text)

    puts "++ Created -> #{new_file_name}"
  end
end

def create_views(type, temp_path)
  view_dir_path = 'app/views/legals/'

  # create directory for legal views
  Dir.mkdir view_dir_path

  # find all template views
  template_views_path = "#{temp_path}/#{type}/views/"
  Dir.entries(template_views_path).each do |template|
    next if template == "." or template == ".."

    new_text = File.open("#{template_views_path}#{template}").read
    new_file_name = "#{view_dir_path}#{template.split(".")[0]}.html.erb"
    File.write(new_file_name, new_text)

    puts "++ Created -> #{new_file_name}"
  end
end
