def overwrite_migration
  # find the legal migration
  migrations_path = "db/migrate/"
  migration_path = "#{migrations_path}#{Dir.entries(migrations_path).grep(/_create_legals.rb$/).first}"

  new_migration_text = ""
  migration = File.open(migration_path).read
  migration.each_line do |line|
    # add detault: true to migration
    if line.include?("t.boolean :is_visible")
      new_migration_text += "      t.boolean :is_visible, default: true \n"
    else
      new_migration_text += line
    end
  end

  # rewrite the migration file
  File.write(migration_path, new_migration_text)

  puts "++ Changed -> #{migration_path}"
end
