def overwrite_model(type, temp_path)
  # find the legal model
  model_path = "app/models/legal.rb"
  template_model_path = "#{temp_path}/#{type}/legal.txt"

  new_model_text = File.open(template_model_path).read
  File.write(model_path, new_model_text)

  puts "++ Changed -> #{model_path}"

  if type == "multilingual"
    model_translation_path = "app/models/legal_translation.rb"
    template_model_translation_path = "#{temp_path}/#{type}/legal_translation.txt"

    new_model_translation_text = File.open(template_model_translation_path).read
    File.write(model_translation_path, new_model_translation_text)

    puts "++ Changed -> #{model_translation_path}"
  end
end
