def overwrite_routes
  # find the routes
  route_path = "config/routes.rb"

  # text that will overwrite namespace :admin do
  to_add = """  resources :legals, only: [:show]
  namespace :admin do
    resources :legals,                             except: [:show] do
      collection { patch :sort }
    end
  """

  new_routes_text = ""
  routes = File.open(route_path).read
  routes.each_line do |line|
    # add routes for legal 
    if line.include?("namespace :admin do")
      new_routes_text += to_add
    else
      new_routes_text += line
    end
  end

  # rewrite the routes file
  File.write(route_path, new_routes_text)

  puts "++ Changed -> #{route_path}"
end
